5 Replies Latest reply on Aug 12, 2014 9:55 PM by Steve Werner

    My OSX10.6.8 can't run InDesign CC

    spercomj

      I was told I needed OSX10.6 to run the latest InDesign CC - But I have 10.6.8 installed on my machine and it will not run. Adobe says that I have to upgrade. Any idea why my current 10.6.8 doesn't work?